# Class PickResultIcon

Represents a pick operation where a Icon was picked.

#### Hierarchy (View Summary)

- PickResultBase
  - PickResultIcon

##### Index

### Constructors

constructor

### Properties

id
mesh
object
type

### Accessors

hitInfo

### Methods

equals

## Constructors

### constructor

- new PickResultIcon(
  o: { icon: Icon; id: number; mesh: Mesh; pickOptions: PickOptionRay },
  ): PickResultIcon

  Constructor

  #### Parameters

  - o: { icon: Icon; id: number; mesh: Mesh; pickOptions: PickOptionRay }

    Options

    - ##### icon: Icon

      The Icon that was hit.

    - ##### id: number

      Unique GPU picking id for the hit `o.icon`.

    - ##### mesh: Mesh

      BabylonJS mesh that `o.icon` belongs to.

    - ##### pickOptions: PickOptionRay

      The picking ray and related options.

  #### Returns PickResultIcon

  Overrides PickResultBase.constructor

## Properties

### `Readonly` id

id: number

Unique GPU picking id for the hit object

Inherited from PickResultBase.id

### `Readonly` mesh

mesh: Mesh

BabylonJS Mesh pick operation yielded. object belongs to this mesh.

### `Readonly` object

object: Icon

Icon yielded by pick operation.

### type

type: Icon = PickResultType.Icon

Discriminant union selector.

## Accessors

### hitInfo

- get hitInfo(): Intersection[]

  Exact intersections of object that the pick operation gave.

  #### Returns Intersection[]

  Overrides PickResultBase.hitInfo

## Methods

### equals

- equals(pickResult: PickResult): boolean

  Compare two PickResult instances.

  #### Parameters

  - pickResult: PickResult

  #### Returns boolean

  Inherited from PickResultBase.equals